Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface RepeatConsensusAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface RepeatConsensusAdaptor
extends Adaptor

Provides access to RepeatConsensus' in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default RepeatConsensusAdaptor available from a driver.

Method Summary
`void` | `delete(long internalID)`
`void` | `delete(RepeatConsensus consensus)`
`RepeatConsensus` | `fetch(long internalID)` Fetches consensus with the specified internalID.
`long` | `store(RepeatConsensus repeatConsensus)` Stores consensus.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default RepeatConsensusAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public RepeatConsensus fetch(long internalID)
                          throws AdaptorException

  Fetches consensus with the specified internalID.

  Parameters:
    `internalID` - internalID of the consensus
  Returns:
    consensus, or null if object not found.
  Throws:
    `AdaptorException` - if an adaptor error occurs

### store

    public long store(RepeatConsensus repeatConsensus)
               throws AdaptorException

  Stores consensus.

  Parameters:
    `repeatConsensus` - consensus to be stored
  Returns:
    internalID assigned to consensus during store.
  Throws:
    `AdaptorException` - if an adaptor error occurs

### delete

    public void delete(long internalID)
                throws AdaptorException

  Parameters:
    `internalID` - internalID of consensus to be deleted from database.
  Throws:
    `AdaptorException` - if an adaptor error occurs

### delete

    public void delete(RepeatConsensus consensus)
                throws AdaptorException

  Parameters:
    `consensus` - consensus to delete.
  Throws:
    `AdaptorException` - if an adaptor error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD